Skip to main content
GET
/
v1
/
applications
/
{id}
Retrieve an Application
curl --request GET \
  --url https://identity.sandbox.lerian.net/v1/applications/{id} \
  --header 'Authorization: Bearer <token>'
{
  "clientId": "019c96a0-6a10-7abc-d1e2-8c9d0e1f2a3b",
  "clientSecret": "019c96a0-6a20-7bcd-e1f2-9d0e1f2a3b4c",
  "createdAt": "2025-04-08T08:01:30.000Z",
  "description": "Midaz Used By Application X",
  "id": "019c96a0-0c0c-7221-8cf3-13313fb60081",
  "name": "midaz"
}

Authorizations

Authorization
string
header
required

The authorization token in the 'Bearer ' format.

Path Parameters

id
string
required

The unique identifier of the application you want to retrieve.

Response

Detailed information about a specific application.

Information about the Application.

clientId
string

Unique identifier of the client.

clientSecret
string

Secret key linked to the clientId, used for secure client authentication.

createdAt
string<date-time>

Timestamp marking when the application was created.

description
string

A clear identifier that helps you quickly recognize which service, job, or integration uses the application.

id
string

Unique identifier of the application.

name
string

The Lerian product or plugin this machine-to-machine application can access.